import request from "@/utils/request";

// 查询考试报名列表
export function listExamRegistration(query) {
  return request({
    url: "/hezhi/examRegistration/list",
    method: "get",
    params: query,
  });
}

// 查询考试报名详细
export function getExamRegistration(examRegistrationId) {
  return request({
    url: "/hezhi/examRegistration/" + examRegistrationId,
    method: "get",
  });
}

// 查询考试报名发货详细
export function getExamRegistrationFahuo(examRegistrationId) {
  return request({
    url: "/hezhi/examRegistration/fahuo/" + examRegistrationId,
    method: "get",
  });
}

// 新增考试报名
export function addExamRegistration(data) {
  return request({
    url: "/hezhi/examRegistration",
    method: "post",
    data: data,
  });
}

// 修改考试报名
export function updateExamRegistration(data) {
  return request({
    url: "/hezhi/examRegistration",
    method: "put",
    data: data,
  });
}

// 修改考试报名
export function certificateSend(data) {
  return request({
    url: "/hezhi/examRegistration/certificateSend",
    method: "post",
    data: data,
  });
}

// 删除考试报名
export function delExamRegistration(examRegistrationId) {
  return request({
    url: "/hezhi/examRegistration/" + examRegistrationId,
    method: "delete",
  });
}
// 获取省市区
export function getRegionTreeList() {
  return request({
    url: "/api/class/getRegionTreeList",
    method: "get",
  });
}
